For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
DocsReferenceChangelog
DocsReferenceChangelog
  • Introduction
    • Overview
    • Errors
  • SDK
    • Overview
    • Decorators
    • Run Evaluation
  • API
      • GETList Evaluations
      • POSTCreate Evaluation
      • POSTAdd Evaluators
      • DELRemove Evaluator
      • GETGet Evaluation
      • DELDelete Evaluation
      • GETList Runs for Evaluation
      • POSTCreate Run
      • POSTAdd Existing Run
      • DELRemove Run
      • PATCHUpdate Evaluation Run
      • POSTAdd Logs to Run
      • GETGet Evaluation Stats
      • GETGet Logs for Evaluation
LogoLogo
Sign inBook a demo
APIEvaluations

Get Logs for Evaluation

GET
https://api.humanloop.com/v5/evaluations/:id/logs
GET
/v5/evaluations/:id/logs
$curl https://api.humanloop.com/v5/evaluations/id/logs \
> -H "X-API-KEY: <apiKey>"
1{
2 "records": [
3 {
4 "run_id": "run_id",
5 "log": {
6 "prompt": {
7 "path": "path",
8 "id": "id",
9 "model": "model",
10 "name": "name",
11 "version_id": "version_id",
12 "created_at": "2024-01-15T09:30:00Z",
13 "updated_at": "2024-01-15T09:30:00Z",
14 "last_used_at": "2024-01-15T09:30:00Z",
15 "version_logs_count": 1,
16 "total_logs_count": 1,
17 "inputs": [
18 {
19 "name": "name"
20 }
21 ]
22 },
23 "id": "id",
24 "evaluator_logs": [
25 {
26 "id": "id",
27 "evaluator_logs": [],
28 "evaluator": {
29 "path": "path",
30 "id": "id",
31 "spec": {
32 "arguments_type": "target_free",
33 "return_type": "boolean",
34 "evaluator_type": "llm"
35 },
36 "name": "name",
37 "version_id": "version_id",
38 "created_at": "2024-01-15T09:30:00Z",
39 "updated_at": "2024-01-15T09:30:00Z",
40 "last_used_at": "2024-01-15T09:30:00Z",
41 "version_logs_count": 1,
42 "total_logs_count": 1,
43 "inputs": [
44 {
45 "name": "name"
46 }
47 ]
48 }
49 }
50 ]
51 },
52 "evaluator_logs": [
53 {
54 "prompt": {
55 "path": "path",
56 "id": "id",
57 "model": "model",
58 "name": "name",
59 "version_id": "version_id",
60 "created_at": "2024-01-15T09:30:00Z",
61 "updated_at": "2024-01-15T09:30:00Z",
62 "last_used_at": "2024-01-15T09:30:00Z",
63 "version_logs_count": 1,
64 "total_logs_count": 1,
65 "inputs": [
66 {
67 "name": "name"
68 }
69 ]
70 },
71 "id": "id",
72 "evaluator_logs": [
73 {
74 "id": "id",
75 "evaluator_logs": [],
76 "evaluator": {
77 "path": "path",
78 "id": "id",
79 "spec": {
80 "arguments_type": "target_free",
81 "return_type": "boolean",
82 "evaluator_type": "llm"
83 },
84 "name": "name",
85 "version_id": "version_id",
86 "created_at": "2024-01-15T09:30:00Z",
87 "updated_at": "2024-01-15T09:30:00Z",
88 "last_used_at": "2024-01-15T09:30:00Z",
89 "version_logs_count": 1,
90 "total_logs_count": 1,
91 "inputs": [
92 {
93 "name": "name"
94 }
95 ]
96 }
97 }
98 ]
99 }
100 ],
101 "datapoint": {
102 "id": "id"
103 }
104 }
105 ],
106 "page": 1,
107 "size": 1,
108 "total": 1
109}
Get the Logs associated to a specific Evaluation. This returns the Logs associated to all Runs within with the Evaluation.
Was this page helpful?
Previous

Call Tool

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired

String ID of evaluation. Starts with ev_ or evr_.

Query parameters

pageintegerOptional>=1Defaults to 1
Page number for pagination.
sizeintegerOptional>=0Defaults to 10
Page size for pagination. Number of Logs to fetch.
run_idstringOptional
Filter by Run IDs. Only Logs for the specified Runs will be returned.

Response

Successful Response
recordslist of objects
pageinteger
sizeinteger
totalinteger

Errors

422
Get Logs Evaluations ID Logs Get Request Unprocessable Entity Error